#pragma once
#include "Plugin.h"

namespace ffglqs
{

class Mixer : public Plugin
{
public:
	Mixer();
	~Mixer();

	template< typename PluginType >
	static PluginInstance CreatePlugin( ffgl::PluginInfo infos );

	virtual ffgl::FFResult Render( ffgl::ProcessOpenGLStruct* inputTextures ) override;
};

template< typename PluginType >
inline PluginInstance Mixer::CreatePlugin( ffgl::PluginInfo infos )
{
	return Plugin::CreatePlugin< PluginType >( infos, ffgl::PluginType::FF_MIXER );
}

}// namespace ffglqs
